Package org.bukkit.event.server

# Class ServerEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.server.ServerEvent

Direct Known Subclasses:
  `BroadcastMessageEvent`, `MapInitializeEvent`, `PluginEvent`, `ServerCommandEvent`, `ServerListPingEvent`, `ServerLoadEvent`, `ServerResourcesReloadedEvent`, `ServiceEvent`

public abstract class ServerEvent extends Event
Miscellaneous server events

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`ServerEvent()`
`ServerEvent(boolean isAsync)`

## Method Summary

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerEvent

public ServerEvent()

### ServerEvent

public ServerEvent(boolean isAsync)